Package org.eclipse.draw2d

# Class GridData

java.lang.Object
org.eclipse.draw2d.GridData

public final class GridData extends Object
`GridData` is the layout data object associated with `GridLayout`. To set a `GridData` object into a `Figure`, you use the `setConstraint()` method of `GridLayout` to map the `Figure` to its layout `GridData`.

There are two ways to create a `GridData` object with certain fields set. The first is to set the fields directly, like this:

     GridData gridData = new GridData();
     gridData.horizontalAlignment = GridData.FILL;
     gridData.grabExcessHorizontalSpace = true;

     // associate the figure to the GridData object
     myGridlayout.setConstraint(myFigure, gridData);

The second is to take advantage of convenience style bits defined by `GridData`:

     GridData gridData = new GridData(GridData.HORIZONTAL_ALIGN_FILL | GridData.GRAB_HORIZONTAL);

NOTE: Do not reuse `GridData` objects. Every child in the parent `Figure` that is managed by the `GridLayout` must have a unique `GridData` object. If the layout data for a Grid member in a `GridLayout` is null at layout time, a unique `GridData` object is created for it.

See Also:
  - `GridLayout`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BEGINNING`
Value for horizontalAlignment or verticalAlignment.
`static final int`
`CENTER`
Value for horizontalAlignment or verticalAlignment.
`static final int`
`END`
Value for horizontalAlignment or verticalAlignment.
`static final int`
`FILL`
Value for horizontalAlignment or verticalAlignment.
`static final int`
`FILL_BOTH`
Style bit for `new GridData(int)` to resize the figure to fill the cell horizontally and vertically and to fit the remaining horizontal and vertical space.
`static final int`
`FILL_HORIZONTAL`
Style bit for `new GridData(int)` to resize the figure to fill the cell horizontally and to fit the remaining horizontal space.
`static final int`
`FILL_VERTICAL`
Style bit for `new GridData(int)` to resize the figure to fill the cell vertically and to fit the remaining vertical space.
`static final int`
`GRAB_HORIZONTAL`
Style bit for `new GridData(int)` to resize the figure to fit the remaining horizontal space.
`static final int`
`GRAB_VERTICAL`
Style bit for `new GridData(int)` to resize the figure to fit the remaining vertical space.
`boolean`
`grabExcessHorizontalSpace`
grabExcessHorizontalSpace specifies whether the cell will be made wide enough to fit the remaining horizontal space.
`boolean`
`grabExcessVerticalSpace`
grabExcessVerticalSpace specifies whether the cell will be made tall enough to fit the remaining vertical space.
`int`
`heightHint`
heightHint specifies a minimum height for the row.
`static final int`
`HORIZONTAL_ALIGN_BEGINNING`
Style bit for `new GridData(int)` to position the figure at the left of the cell.
`static final int`
`HORIZONTAL_ALIGN_CENTER`
Style bit for `new GridData(int)` to position the figure in the horizontal center of the cell.
`static final int`
`HORIZONTAL_ALIGN_END`
Style bit for `new GridData(int)` to position the figure at the right of the cell.
`static final int`
`HORIZONTAL_ALIGN_FILL`
Style bit for `new GridData(int)` to resize the figure to fill the cell horizontally.
`int`
`horizontalAlignment`
horizontalAlignment specifies how figures will be positioned horizontally within a cell.
`int`
`horizontalIndent`
horizontalIndent specifies the number of pixels of indentation that will be placed along the left side of the cell.
`int`
`horizontalSpan`
horizontalSpan specifies the number of column cells that the figure will take up.
`static final int`
`VERTICAL_ALIGN_BEGINNING`
Style bit for `new GridData(int)`.
`static final int`
`VERTICAL_ALIGN_CENTER`
Style bit for `new GridData(int)` to position the figure in the vertical center of the cell.
`static final int`
`VERTICAL_ALIGN_END`
Style bit for `new GridData(int)` to position the figure at the bottom of the cell.
`static final int`
`VERTICAL_ALIGN_FILL`
Style bit for `new GridData(int)` to resize the figure to fill the cell vertically.
`int`
`verticalAlignment`
verticalAlignment specifies how figures will be positioned vertically within a cell.
`int`
`verticalSpan`
verticalSpan specifies the number of row cells that the figure will take up.
`int`
`widthHint`
widthHint specifies a minimum width for the column.

## Constructor Summary

Constructors
Constructor
Description
`GridData()`
Constructs a new instance of GridData using default values.
`GridData(int style)`
Constructs a new instance based on the GridData style.
`GridData(int width, int height)`
Constructs a new instance of GridData according to the parameters.
`GridData(int horizontalAlignment, int verticalAlignment, boolean grabExcessHorizontalSpace, boolean grabExcessVerticalSpace)`
Constructs a new instance of GridData according to the parameters.
`GridData(int horizontalAlignment, int verticalAlignment, boolean grabExcessHorizontalSpace, boolean grabExcessVerticalSpace, int horizontalSpan, int verticalSpan)`
Constructs a new instance of GridData according to the parameters.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### verticalAlignment

public int verticalAlignment
verticalAlignment specifies how figures will be positioned vertically within a cell. The default value is CENTER. Possible values are: SWT.BEGINNING (or SWT.TOP): Position the figure at the top of the cell SWT.CENTER: Position the figure in the vertical center of the cell SWT.END (or SWT.BOTTOM): Position the figure at the bottom of the cell SWT.FILL: Resize the figure to fill the cell vertically

### horizontalAlignment

public int horizontalAlignment
horizontalAlignment specifies how figures will be positioned horizontally within a cell. The default value is BEGINNING. Possible values are: SWT.BEGINNING (or SWT.LEFT): Position the figure at the left of the cell SWT.CENTER: Position the figure in the horizontal center of the cell SWT.END (or SWT.RIGHT): Position the figure at the right of the cell SWT.FILL: Resize the figure to fill the cell horizontally

### widthHint

public int widthHint
widthHint specifies a minimum width for the column. A value of SWT.DEFAULT indicates that no minimum width is specified. The default value is SWT.DEFAULT.

### heightHint

public int heightHint
heightHint specifies a minimum height for the row. A value of SWT.DEFAULT indicates that no minimum height is specified. The default value is SWT.DEFAULT.

### horizontalIndent

public int horizontalIndent
horizontalIndent specifies the number of pixels of indentation that will be placed along the left side of the cell. The default value is 0.

### horizontalSpan

public int horizontalSpan
horizontalSpan specifies the number of column cells that the figure will take up. The default value is 1.

### verticalSpan

public int verticalSpan
verticalSpan specifies the number of row cells that the figure will take up. The default value is 1.

### grabExcessHorizontalSpace

public boolean grabExcessHorizontalSpace
grabExcessHorizontalSpace specifies whether the cell will be made wide enough to fit the remaining horizontal space. The default value is false.

### grabExcessVerticalSpace

public boolean grabExcessVerticalSpace
grabExcessVerticalSpace specifies whether the cell will be made tall enough to fit the remaining vertical space. The default value is false.

### BEGINNING

public static final int BEGINNING
Value for horizontalAlignment or verticalAlignment. Position the figure at the top or left of the cell. Not recommended. Use SWT.BEGINNING, SWT.TOP or SWT.LEFT instead.

See Also:
  - Constant Field Values

### CENTER

public static final int CENTER
Value for horizontalAlignment or verticalAlignment. Position the figure in the vertical or horizontal center of the cell Not recommended. Use SWT.CENTER instead.

See Also:
  - Constant Field Values

### END

public static final int END
Value for horizontalAlignment or verticalAlignment. Position the figure at the bottom or right of the cell Not recommended. Use SWT.END, SWT.BOTTOM or SWT.RIGHT instead.

See Also:
  - Constant Field Values

### FILL

public static final int FILL
Value for horizontalAlignment or verticalAlignment. Resize the figure to fill the cell horizontally or vertically. Not recommended. Use SWT.FILL instead.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_BEGINNING

public static final int VERTICAL_ALIGN_BEGINNING
Style bit for `new GridData(int)`. Position the figure at the top of the cell. Not recommended. Use `new GridData(int, SWT.BEGINNING, boolean, boolean)` instead.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_CENTER

public static final int VERTICAL_ALIGN_CENTER
Style bit for `new GridData(int)` to position the figure in the vertical center of the cell. Not recommended. Use `new GridData(int, SWT.CENTER, boolean, boolean)` instead.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_END

public static final int VERTICAL_ALIGN_END
Style bit for `new GridData(int)` to position the figure at the bottom of the cell. Not recommended. Use `new GridData(int, SWT.END, boolean, boolean)` instead.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_FILL

public static final int VERTICAL_ALIGN_FILL
Style bit for `new GridData(int)` to resize the figure to fill the cell vertically. Not recommended. Use `new GridData(int, SWT.FILL, boolean, boolean)` instead

See Also:
  - Constant Field Values

### HORIZONTAL_ALIGN_BEGINNING

public static final int HORIZONTAL_ALIGN_BEGINNING
Style bit for `new GridData(int)` to position the figure at the left of the cell. Not recommended. Use `new GridData(SWT.BEGINNING, int, boolean, boolean)` instead.

See Also:
  - Constant Field Values

### HORIZONTAL_ALIGN_CENTER

public static final int HORIZONTAL_ALIGN_CENTER
Style bit for `new GridData(int)` to position the figure in the horizontal center of the cell. Not recommended. Use `new GridData(SWT.CENTER, int, boolean, boolean)` instead.

See Also:
  - Constant Field Values

### HORIZONTAL_ALIGN_END

public static final int HORIZONTAL_ALIGN_END
Style bit for `new GridData(int)` to position the figure at the right of the cell. Not recommended. Use `new GridData(SWT.END, int, boolean, boolean)` instead.

See Also:
  - Constant Field Values

### HORIZONTAL_ALIGN_FILL

public static final int HORIZONTAL_ALIGN_FILL
Style bit for `new GridData(int)` to resize the figure to fill the cell horizontally. Not recommended. Use `new GridData(SWT.FILL, int, boolean, boolean)` instead.

See Also:
  - Constant Field Values

### GRAB_HORIZONTAL

public static final int GRAB_HORIZONTAL
Style bit for `new GridData(int)` to resize the figure to fit the remaining horizontal space. Not recommended. Use `new GridData(int, int, true, boolean)` instead.

See Also:
  - Constant Field Values

### GRAB_VERTICAL

public static final int GRAB_VERTICAL
Style bit for `new GridData(int)` to resize the figure to fit the remaining vertical space. Not recommended. Use `new GridData(int, int, boolean, true)` instead.

See Also:
  - Constant Field Values

### FILL_VERTICAL

public static final int FILL_VERTICAL
Style bit for `new GridData(int)` to resize the figure to fill the cell vertically and to fit the remaining vertical space. FILL_VERTICAL = VERTICAL_ALIGN_FILL | GRAB_VERTICAL Not recommended. Use `new GridData(int, SWT.FILL, boolean, true)` instead.

See Also:
  - Constant Field Values

### FILL_HORIZONTAL

public static final int FILL_HORIZONTAL
Style bit for `new GridData(int)` to resize the figure to fill the cell horizontally and to fit the remaining horizontal space. FILL_HORIZONTAL = HORIZONTAL_ALIGN_FILL | GRAB_HORIZONTAL Not recommended. Use `new GridData(SWT.FILL, int, true, boolean)` instead.

See Also:
  - Constant Field Values

### FILL_BOTH

public static final int FILL_BOTH
Style bit for `new GridData(int)` to resize the figure to fill the cell horizontally and vertically and to fit the remaining horizontal and vertical space. FILL_BOTH = FILL_VERTICAL | FILL_HORIZONTAL Not recommended. Use `new GridData(SWT.FILL, SWT.FILL, true, true)` instead.

See Also:
  - Constant Field Values

## Constructor Details

### GridData

public GridData()
Constructs a new instance of GridData using default values.

### GridData

public GridData(int style)
Constructs a new instance based on the GridData style. This constructor is not recommended.

Parameters:
  `style` - the GridData style

### GridData

public GridData(int horizontalAlignment, int verticalAlignment, boolean grabExcessHorizontalSpace, boolean grabExcessVerticalSpace)
Constructs a new instance of GridData according to the parameters.

Parameters:
  `horizontalAlignment` - how figure will be positioned horizontally within a cell
  `verticalAlignment` - how figure will be positioned vertically within a cell
  `grabExcessHorizontalSpace` - whether cell will be made wide enough to fit the remaining horizontal space
  `grabExcessVerticalSpace` - whether cell will be made high enough to fit the remaining vertical space

### GridData

public GridData(int horizontalAlignment, int verticalAlignment, boolean grabExcessHorizontalSpace, boolean grabExcessVerticalSpace, int horizontalSpan, int verticalSpan)
Constructs a new instance of GridData according to the parameters.

Parameters:
  `horizontalAlignment` - how figure will be positioned horizontally within a cell
  `verticalAlignment` - how figure will be positioned vertically within a cell
  `grabExcessHorizontalSpace` - whether cell will be made wide enough to fit the remaining horizontal space
  `grabExcessVerticalSpace` - whether cell will be made high enough to fit the remaining vertical space
  `horizontalSpan` - the number of column cells that the figure will take up
  `verticalSpan` - the number of row cells that the figure will take up

### GridData

public GridData(int width, int height)
Constructs a new instance of GridData according to the parameters. A value of SWT.DEFAULT indicates that no minimum width or no minumum height is specified.

Parameters:
  `width` - a minimum width for the column
  `height` - a minimum height for the row

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`